#
# spec file for package zaptel (Version 1.4.12.1)
#
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 capi4linux capisuite coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kernel-source kernel-syms klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone udev unzip util-linux vim zlib zlib-devel

Name:           zaptel
BuildRequires:  kernel-source kernel-syms udev newt-devel wget  module-init-tools
URL:            http://www.asterisk.org
Summary:        Tools for the Zapata Telephony Interface Driver
Version:        1.4.12.1
Release:        10.2
License:        GNU General Public License (GPL)
Group:          Productivity/Telephony/Utilities
PreReq:         %insserv_prereq %fillup_prereq udev
PreReq:         /usr/sbin/useradd
Requires:       zaptel-kmp
Excludearch:  s390 s390x
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0: http://ftp.digium.com/pub/zaptel/zaptel-%{version}.tar.bz2
Source1:        preamble
Source2:	%name-udev-rules
Source3: zaptel-init
Source4:        firmware.tar.bz2
Patch0:         12787-1.patch
Patch1:         device.patch
Patch2:         zaptel.patch
Patch3:		zaptel-perl_vendorlib.patch
%suse_kernel_module_package -p %_sourcedir/preamble kdump um iseries64 ppc64 debug xen

%description
This package contains configuration files, header files, and setup
tools needed for the zapata telephony interface drivers.

See /usr/share/doc/packages/zaptel/README for a list of supported
hardware.

Authors:
--------
    Mark Spencer <markster@digium.com>

%debug_package
%package KMP
Summary:        Zapata Telephony Interface Drivers
Group:          System/Kernel

%description KMP
This package contains the kernel modules of the Zapata Telephony
Interface. For details see the zaptel package.



Authors:
--------
    Mark Spencer <markster@digium.com>

%package devel
Summary: Development files for zaptel
Group:   Development/Libraries
PreReq: zaptel

%description devel
This package contains the header files and libraries necessary for
developing applications which use zpatel.


Install zaptel-devel if you want to develop applications which depend on
asterisk.

Authors:
--------
    Mark Spencer <markster@digium.com>

%prep
%setup -q 
# Fix lib vs. lib64
%{__perl} -pi -e 's|/usr/lib|%{_libdir}|g' Makefile
# Force mknod calls to never happen
%{__perl} -pi -e 's|mknod |true |g' Makefile
#%patch0 -p0
#%patch1 -p0
%patch2 -p0
%patch3 -p0
tar xvjf %SOURCE4

%build
export CFLAGS="%{optflags}"
%configure --libdir=%{_libdir}
#make prereq all OPTFLAGS="%optflags"
cd ..
mkdir -p obj
for flavor in %flavors_to_build; do
  rm -rf obj/$flavor
  cp -r zaptel-%{version} obj/$flavor
done


%install
%{__rm} -rf %{buildroot}
mkdir -p %buildroot/{etc/{udev/{rules,permissions}.d,init.d},usr/sbin}
%{__mkdir_p} %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/modprobe.conf
cp -a %SOURCE2 %buildroot/etc/udev/rules.d/zaptel.rules
# Required in 1.2.0
%{__mkdir_p} %{buildroot}%{_mandir}/man8
#make DESTDIR="%{buildroot}" ROOT_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" install
for flavor in %flavors_to_build; do
make DESTDIR="%{buildroot}" ROOT_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" KSRC=/usr/src/linux-obj/%_target_cpu/$flavor install
done


# Install the init script and sysconfig file
%{__install} -Dp -m0644 zaptel.sysconfig \
    %{buildroot}/var/adm/fillup-templates/sysconfig.%{name}
%{__install} -Dp -m0755 %_sourcedir/zaptel-init \
    %{buildroot}%{_sysconfdir}/init.d/zaptel

# Move the modules config file back in order to put it in docs instead
%{__mv} %{buildroot}%{_sysconfdir}/modprobe.conf . || :

# Move the binaries from /sbin back to /usr/sbin
%{__mkdir_p} %{buildroot}%{_sbindir}
for file in  %{buildroot}/sbin/* ; do
 %{__mv} -f ${file} %{buildroot}/%{_sbindir}
done
PREDIR=`pwd`
cd %{buildroot}/sbin
for file in fxotune fxstest sethdlc-new ztcfg ztdiag ztmonitor ztscan ztspeed zttest zttool ; do
 ln -s ../usr/sbin/${file}
done
cd ${PREDIR}

# Remove the backup of the empty file we created earlier
%{__rm} -f %{buildroot}%{_sysconfdir}/modprobe.conf.bak || :
%{__install} -D -m 644 zaptel.conf.sample %{buildroot}/etc/zaptel.conf

export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
   make -C /usr/src/linux-obj/%_target_cpu/$flavor DESTDIR="%{buildroot}" ROOT_PREFIX="%{buildroot}" LIBDIR="%{_libdir}" KSRC=/usr/src/linux-obj/%_target_cpu/$flavor modules_install \
       M=$PWD/obj/$flavor
done


%clean
rm -rf %buildroot

%pre
groupadd -g 330 -r asterisk 2>/dev/null || :
useradd -g asterisk -r -u 330 -d /var/lib/asterisk -s /bin/false \
	-c "Asterisk PBX" asterisk 2>/dev/null || :

%post
%{?fillup_and_insserv:%fillup_and_insserv}
%{?run_ldconfig:%run_ldconfig}
/sbin/chkconfig --add zaptel
/sbin/chkconfig --level 2345 zaptel on
ln -sf /etc/init.d/zaptel /usr/sbin/rczaptel


%postun
%{?insserv_cleanup:%insserv_cleanup}
%{?run_ldconfig:%run_ldconfig}
/sbin/depmod -a -F /boot/System.map-%{kernel} %{kernel} &>/dev/null || :
rm -rf /usr/sbin/rczaptel

%preun
%{?stop_on_removal:%stop_on_removal zaptel}

%files
%defattr(-,root,root,-)
%doc ChangeLog README.fxsusb mod*.conf
%doc ifcfg-hdlc0 ifup-hdlc zaptel.conf.sample
/var/adm/fillup-templates/sysconfig.%{name}
%config(noreplace) %{_sysconfdir}/init.d/zaptel
%config(noreplace) %{_sysconfdir}/zaptel.conf
%{_sbindir}/*
/sbin/fxotune
/sbin/fxstest
/sbin/sethdlc-new
/sbin/ztcfg
/sbin/ztdiag
/sbin/ztmonitor
/sbin/ztscan
/sbin/ztspeed
/sbin/zttest
/sbin/zttool
%{_libdir}/*.so.*
%{_libdir}/*.a
%{_mandir}/man8/*
%config /etc/udev/*
%dir /usr/share/zaptel
/usr/share/zaptel/*
%dir %{perl_vendorlib}/Zaptel
%{perl_vendorlib}/Zaptel.pm
%dir %{perl_vendorlib}/Zaptel/Xpp
%{perl_vendorlib}/Zaptel/Xpp/Xpd.pm
%{perl_vendorlib}/Zaptel/Xpp/Xbus.pm
%{perl_vendorlib}/Zaptel/Xpp/Line.pm
%{perl_vendorlib}/Zaptel/Xpp.pm
%dir %{perl_vendorlib}/Zaptel/Config
%{perl_vendorlib}/Zaptel/Config/Defaults.pm
%{perl_vendorlib}/Zaptel/Utils.pm
%dir %{perl_vendorlib}/Zaptel/Hardware
%{perl_vendorlib}/Zaptel/Hardware/PCI.pm
%{perl_vendorlib}/Zaptel/Hardware/USB.pm
%{perl_vendorlib}/Zaptel/Hardware.pm
%{perl_vendorlib}/Zaptel/Span.pm
%{perl_vendorlib}/Zaptel/Chans.pm
/etc/hotplug/*
/lib/firmware/*
/lib/firmware/.zaptel*
%dir %{_libdir}/hotplug
%dir %{_libdir}/hotplug/firmware
%{_libdir}/hotplug/firmware/zaptel*
%{_libdir}/hotplug/firmware/.zaptel*


%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/zaptel
%{_includedir}/zaptel/zaptel.h
%{_includedir}/zaptel/tonezone.h
%{_libdir}/libtonezone.a
%{_libdir}/libtonezone.so

%changelog -n zaptel
* Thu Apr 30 2009 Carsten Schoene <cs@linux-administrator.com> - 1.4.12.1-2
- move alle bins from /sbin to /usr/sbin and create symlinks to be compatible
- change perl paths from perl_sitelib to perl_vendorlib (added patch)

* Wed Sep 10 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.12.1-1
- new release 1.4.12.1
* Thu Sep 04 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.4.12
* Tue Jun 03 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.4.11
* Sat May 03 2008 Carsten Schoene <cs@linux-administrator.com>
- new release 1.4.10.1
- New versions zaptel-1.4.7 including
* Mon Aug 13 2007 - vittorio@vitsoft.bz
- New zaptel for asterisk 1.4 including 
* Wed Nov 15 2006 - max@suse.de
- Adjusted zaptel-udev-rules to the new udev syntax.
